Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.runtime.manager.impl
Class DefaultRegisterableItemsFactory

    java.lang.Object
      org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
          org.jbpm.runtime.manager.impl.DefaultRegisterableItemsFactory

All Implemented Interfaces:
  org.kie.internal.runtime.manager.RegisterableItemsFactory

Direct Known Subclasses:
  InjectableRegisterableItemsFactory, KModuleRegisterableItemsFactory

    public class DefaultRegisterableItemsFactory

extends SimpleRegisterableItemsFactory

Default implementation of `RegisterableItemsFactory` responsible for providing common set of WorkItemHandlers and EventListeners. This factory should not be used in CDI container.
It will deliver fully configured instances of:

- WorkItemHandler for "Human Task" that is configured with local task service
- JPA audit logger - for history log
- event listener to trigger rules automatically without a need of invoking fireAllRules

Moreover it will invoke its super methods to get rest of registerable items defined, that might override defaults as they are added to resulting map at the end.

See Also:
  `InjectableRegisterableItemsFactory`

Constructor Summary
`DefaultRegisterableItemsFactory()`

Method Summary
`List<AgendaEventListener>` | `getAgendaEventListeners(RuntimeEngine runtime)`
`AuditEventBuilder` | `getAuditBuilder()`
`protected WorkItemHandler` | `getHTWorkItemHandler(RuntimeEngine runtime)`
`List<ProcessEventListener>` | `getProcessEventListeners(RuntimeEngine runtime)`
`List<WorkingMemoryEventListener>` | `getWorkingMemoryEventListeners(RuntimeEngine runtime)`
`Map<String,WorkItemHandler>` | `getWorkItemHandlers(RuntimeEngine runtime)`
`void` | `setAuditBuilder(AuditEventBuilder auditBuilder)`

Methods inherited from class org.jbpm.runtime.manager.impl.SimpleRegisterableItemsFactory
`addAgendaListener, addProcessListener, addWorkingMemoryListener, addWorkItemHandler, createInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultRegisterableItemsFactory

    public DefaultRegisterableItemsFactory()

Method Detail

### getWorkItemHandlers

    public Map<String,WorkItemHandler> getWorkItemHandlers(RuntimeEngine runtime)

  Specified by:
    `getWorkItemHandlers` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getWorkItemHandlers` in class `SimpleRegisterableItemsFactory`

### getProcessEventListeners

    public List<ProcessEventListener> getProcessEventListeners(RuntimeEngine runtime)

  Specified by:
    `getProcessEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getProcessEventListeners` in class `SimpleRegisterableItemsFactory`

### getAgendaEventListeners

    public List<AgendaEventListener> getAgendaEventListeners(RuntimeEngine runtime)

  Specified by:
    `getAgendaEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getAgendaEventListeners` in class `SimpleRegisterableItemsFactory`

### getWorkingMemoryEventListeners

    public List<WorkingMemoryEventListener> getWorkingMemoryEventListeners(RuntimeEngine runtime)

  Specified by:
    `getWorkingMemoryEventListeners` in interface `org.kie.internal.runtime.manager.RegisterableItemsFactory`
  Overrides:
    `getWorkingMemoryEventListeners` in class `SimpleRegisterableItemsFactory`

### getHTWorkItemHandler

    protected WorkItemHandler getHTWorkItemHandler(RuntimeEngine runtime)

### getAuditBuilder

    public AuditEventBuilder getAuditBuilder()

### setAuditBuilder

    public void setAuditBuilder(AuditEventBuilder auditBuilder)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.